AOMedia AV1 Codec: CommonQuantParams Struct Reference

| AOMedia AV1 Codec

CommonQuantParams Struct Reference

Parameters related to quantization at the frame level. More...

`#include <av1_common_int.h>`

## Data Fields
int | base_qindex
int | sharpness
int | y_dc_delta_q
int | u_dc_delta_q
int | v_dc_delta_q
int | u_ac_delta_q
int | v_ac_delta_q
bool | using_qmatrix
True dequantizers.
The dequantizers below are true dequantizers used only in the dequantization process. They have the same coefficient shift/scale as TX.
int16_t | y_dequant_QTX [8][2]
int16_t | u_dequant_QTX [8][2]
int16_t | v_dequant_QTX [8][2]
Global quantization matrix tables.
const qm_val_t * | giqmatrix [(1<< 4)][3][TX_SIZES_ALL]
const qm_val_t * | gqmatrix [(1<< 4)][3][TX_SIZES_ALL]
Local dequantization matrix tables for each frame.
const qm_val_t * | y_iqmatrix [8][TX_SIZES_ALL]
const qm_val_t * | u_iqmatrix [8][TX_SIZES_ALL]
const qm_val_t * | v_iqmatrix [8][TX_SIZES_ALL]
Valid only when using_qmatrix == true
Indicate the level indices to be used to access appropriate global quant matrix tables.
int | qmatrix_level_y
int | qmatrix_level_u
int | qmatrix_level_v

## Detailed Description

Parameters related to quantization at the frame level.

## Field Documentation

## ◆ base_qindex

int CommonQuantParams::base_qindex

Base qindex of the frame in the range 0 to 255.

Referenced by av1_get_compressed_data(), av1_handle_intra_y_mode(), av1_postencode_drop_cbr(), av1_rc_update_rate_correction_factors(), av1_twopass_postencode_update(), encode_frame_internal(), encode_frame_to_data_rate(), encode_sb_row(), encode_with_recode_loop_and_filter(), and setup_delta_q().

## ◆ sharpness

int CommonQuantParams::sharpness

Sharpness adjustment in the quantization process.

## ◆ y_dc_delta_q

int CommonQuantParams::y_dc_delta_q

Delta of qindex (from base_qindex) for Y plane DC coefficient. Note: y_ac_delta_q is implicitly 0.

Referenced by av1_handle_intra_y_mode(), and encode_frame_internal().

## ◆ u_dc_delta_q

int CommonQuantParams::u_dc_delta_q

Delta of qindex (from base_qindex) for U plane DC coefficients.

Referenced by encode_frame_internal().

## ◆ v_dc_delta_q

int CommonQuantParams::v_dc_delta_q

Delta of qindex (from base_qindex) for U plane AC coefficients.

Referenced by encode_frame_internal().

## ◆ u_ac_delta_q

int CommonQuantParams::u_ac_delta_q

Delta of qindex (from base_qindex) for V plane DC coefficients. Same as those for U plane if cm->seq_params->separate_uv_delta_q == 0.

Referenced by encode_frame_internal().

## ◆ v_ac_delta_q

int CommonQuantParams::v_ac_delta_q

Delta of qindex (from base_qindex) for V plane AC coefficients. Same as those for U plane if cm->seq_params->separate_uv_delta_q == 0.

Referenced by encode_frame_internal().

## ◆ y_dequant_QTX

int16_t CommonQuantParams::y_dequant_QTX[8][2]

Dequant for Y plane

## ◆ u_dequant_QTX

int16_t CommonQuantParams::u_dequant_QTX[8][2]

Dequant for U plane

## ◆ v_dequant_QTX

int16_t CommonQuantParams::v_dequant_QTX[8][2]

Dequant for V plane

## ◆ giqmatrix

const qm_val_t* CommonQuantParams::giqmatrix[(1<< 4)][3][TX_SIZES_ALL]

Global dequantization matrix table.

## ◆ gqmatrix

const qm_val_t* CommonQuantParams::gqmatrix[(1<< 4)][3][TX_SIZES_ALL]

Global quantization matrix table.

## ◆ y_iqmatrix

const qm_val_t* CommonQuantParams::y_iqmatrix[8][TX_SIZES_ALL]

Local dequant matrix for Y plane.

## ◆ u_iqmatrix

const qm_val_t* CommonQuantParams::u_iqmatrix[8][TX_SIZES_ALL]

Local dequant matrix for U plane.

## ◆ v_iqmatrix

const qm_val_t* CommonQuantParams::v_iqmatrix[8][TX_SIZES_ALL]

Local dequant matrix for V plane.

## ◆ using_qmatrix

bool CommonQuantParams::using_qmatrix

Flag indicating whether quantization matrices are being used:

- If true, qm_level_y, qm_level_u and qm_level_v indicate the level indices to be used to access appropriate global quant matrix tables.
- If false, we implicitly use level index 'NUM_QM_LEVELS - 1'.

Referenced by av1_encode_strategy().

## ◆ qmatrix_level_y

int CommonQuantParams::qmatrix_level_y

Level index for Y plane

## ◆ qmatrix_level_u

int CommonQuantParams::qmatrix_level_u

Level index for U plane

## ◆ qmatrix_level_v

int CommonQuantParams::qmatrix_level_v

Level index for V plane

The documentation for this struct was generated from the following file:

- av1/common/av1_common_int.h